; Jupiter Universe 2.0 - External levels for Tiny Phoenix - data file
; This software is in the public domain.  There is no warranty.
; Last updated August 1, 2002.
; Programmed by Patrick Davidson (pad@calc.org)

;------- Identification

        .db     "TJupiter"

;------- Table of levels

level_table:
        .dw     lev1
        .dw     lev2
        .dw     lev3
        .dw     _shop
        .dw     lev4
        .dw     lev5
        .dw     lev6
        .dw     _shop
        .dw     lev8
        .dw     lev9

        .dw     _game_finished

;------- Level data

lev9:   .db     3
        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,121
        .db     L_SET_MOVEDATA,0,31
        .db     L_IMAGE_STILL
        .dw     boss1
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,64
        .db     L_SET_WEAPON,W_BIG
        .db     L_INSTALL_ONE,90,1
        .db     L_INSTALL_ONE,90,13
        .db     L_INSTALL_ONE,90,25
        .db     L_END             

lev8:   .db     12
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_MOVETYPE,EM_RAMPAGEINIT
        .db     L_SET_FIRERATE,4
        .db     L_SET_POWER,41
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_INSTALL_ROW,0,0,12,0
        .db     L_END

lev6:   .db     18
        .db     L_IMAGE_STILL
        .dw     img_enemy_2 
        .db     L_SET_POWER,5
        .db     L_INSTALL_ROW,18,18,9,10

        .db     L_SET_POWER,10
        .db     L_SET_MOVETYPE,EM_PATTERNSTART
        .db     L_SET_MOVEDATA
        .dw     zigzag_pattern
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_FIRERATE,3
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_INSTALL_ROW,1,18,9,15
        .db     L_END


lev5:   .db     18
        .db     L_SET_POWER,21
        .db     L_IMAGE_ANIM
        .dw     img_enemy_3s
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_SET_MOVETYPE,EM_RAMPAGEWAIT
        .db     L_SET_FIRERATE,8
        .db     L_GOTO
        .dw     lev4x

lev4:   .db     18
        .db     L_SET_POWER,7
        .db     L_IMAGE_STILL
        .dw     img_enemy_3
lev4x:  .db     L_INSTALL_ROW,26,2,3,10
        .db     L_INSTALL_ROW,26,22,3,10
        .db     L_INSTALL_ROW,66,2,3,10
        .db     L_INSTALL_ROW,66,22,3,10
        .db     L_INSTALL_ROW,17,7,3,40
        .db     L_INSTALL_ROW,17,17,3,40
        .db     L_END

lev3:   .db     9
        .db     L_SET_POWER,5
        .db     L_IMAGE_STILL
        .dw     img_enemy_2
        .db     L_INSTALL_ROW,21,16,8,10

        .db     L_SET_MOVETYPE,EM_BOSS
        .db     L_SET_POWER,77
        .db     L_SET_MOVEDATA,0,32
        .db     L_IMAGE_STILL
        .dw     boss1
        .db     L_SET_FIRETYPE,FT_PERIODIC
        .db     L_SET_FIRERATE,64
        .db     L_SET_WEAPON,W_DOUBLE
        .db     L_INSTALL_ONE,90,1
        .db     L_END

lev1:   .db     17
        .db     L_SET_POWER,5
        .db     L_IMAGE_STILL
        .dw     img_enemy_2
        .db     L_INSTALL_ROW,21,2,8,10

lev1x:  .db     L_SET_POWER,3
        .db     L_SET_MOVEDATA
        .db     0,-60    
        .db     L_IMAGE_STILL
        .dw     img_enemy_1 
        .db     L_INSTALL_ROW,18,19,9,10

        .db     L_END

lev2:   .db     14
        .db     L_SET_POWER,10
        .db     L_SET_MOVETYPE,EM_PATTERNSTART
        .db     L_SET_MOVEDATA
        .dw     zigzag_pattern
        .db     L_IMAGE_STILL
        .dw     img_bomber
        .db     L_SET_FIRERATE,3
        .db     L_SET_WEAPON,W_SEMIAIM
        .db     L_INSTALL_ROW,1,18,5,15

        .db     L_SET_MOVETYPE,EM_STANDARD
        .db     L_GOTO
        .dw     lev1x
                
_shop:  .db     0
        .db     L_SHOP

_game_finished:
        .db     0
        .db     L_GAMEEND

;------- Enemy movement patterns

zigzag_pattern:
        .db     32,0,4
zigzag_loop:
        .db     16,12,12
        .db     16,12,-12
        .db     16,12,12
        .db     16,12,-12
        .db     16,12,12
        .db     16,12,-12
        .db     16,0,-16
        .db     16,-72,0
        .db     16,0,16
        .db     0
        .dw     zigzag_loop

;------- Images

img_bomber:
        .db     5,5
        .db     %01110000
        .db     %11011000
        .db     %10001000
        .db     %11011000
        .db     %01110000

img_enemy_1:
        .db     5,7
        .db     %10101000
        .db     %11011000
        .db     %10101000
        .db     %11111000
        .db     %00100000
        .db     %01110000
        .db     %00100000

img_enemy_2:
        .db     5,8
        .db     %10001000
        .db     %11011000
        .db     %11111000
        .db     %10001000
        .db     %10001000
        .db     %11011000
        .db     %01110000
        .db     %00100000

img_enemy_3:
        .db     5,5
        .db     %01110000
        .db     %10001000
        .db     %10101000
        .db     %10001000
        .db     %01110000

img_enemy_3s:
        .db     2
        .dw     img_enemy_3a
        .db     2
        .dw     img_enemy_3b
        .db     2
        .dw     img_enemy_3c
        .db     2
        .dw     img_enemy_3d
        .db     0
        .dw     img_enemy_3s

img_enemy_3a:
        .db     5,5
        .db     %01100000
        .db     %10000000
        .db     %10101000
        .db     %10001000
        .db     %01110000
img_enemy_3b:
        .db     5,5
        .db     %01110000
        .db     %10001000
        .db     %10101000
        .db     %10000000
        .db     %01100000
img_enemy_3c:
        .db     5,5
        .db     %01110000
        .db     %10001000
        .db     %10101000
        .db     %00001000
        .db     %00110000
img_enemy_3d:
        .db     5,5
        .db     %00110000
        .db     %00001000
        .db     %10101000
        .db     %10001000
        .db     %01110000

boss1:  .db     8,6
        .db     %00011000
        .db     %00011000
        .db     %01111110
        .db     %10101011
        .db     %11010101
        .db     %01111110
